Skip to content
LogoLogo

Create a Project milestone

Create a Project milestone

POST/api/v1/projects/{project_id}/milestones

Path Parameters

project_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001

Header Parameters

X-CSRF-TokenRequired
string·min 43·max 43

Session-bound CSRF token. It must exactly match the __Host-assign_csrf cookie sent with the request.

Idempotency-KeyRequired
string·min 16·max 200

Opaque client-generated key for safely retrying this operation.

Request Body

application/json
stage_id
string | null·min 1·max 64

Optional stable Workspace Milestone stage ID. Must select an active stage whose category agrees with status; null clears the selection. An explicit legacy status update without stage_id clears a custom selection.

nameRequired
string·min 1·max 100
description
string·max 2000
due_on
string <date>
status
string·default planned
Values
plannedactivecompletedcancelled

Responses